Compatibility with php 7.3